Edit Group Definition
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"handle": "<string>",
"type": "<string>",
"source_type": "<string>",
"source_id": 123,
"query": "<string>",
"query_type": "<string>",
"period": 1,
"absolute_expiry": "<string>",
"refresh_period": 1,
"refresh_absolute_expiry": "<string>",
"short_description": "<string>",
"description": "<string>",
"owner_profile_id": "<string>",
"meta": [
"<string>"
],
"is_published": true,
"is_active": true,
"is_archived": true,
"arguments": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group}"
payload = {
"name": "<string>",
"handle": "<string>",
"type": "<string>",
"source_type": "<string>",
"source_id": 123,
"query": "<string>",
"query_type": "<string>",
"period": 1,
"absolute_expiry": "<string>",
"refresh_period": 1,
"refresh_absolute_expiry": "<string>",
"short_description": "<string>",
"description": "<string>",
"owner_profile_id": "<string>",
"meta": ["<string>"],
"is_published": True,
"is_active": True,
"is_archived": True,
"arguments": [{ "name": "<string>" }]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
handle: '<string>',
type: '<string>',
source_type: '<string>',
source_id: 123,
query: '<string>',
query_type: '<string>',
period: 1,
absolute_expiry: '<string>',
refresh_period: 1,
refresh_absolute_expiry: '<string>',
short_description: '<string>',
description: '<string>',
owner_profile_id: '<string>',
meta: ['<string>'],
is_published: true,
is_active: true,
is_archived: true,
arguments: [{name: '<string>'}]
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"handle": "<string>",
"type": "<string>",
"source_type": "<string>",
"source_id": 123,
"query": "<string>",
"query_type": "<string>",
"arguments": [
"<unknown>"
],
"period": 123,
"period_type": "<string>",
"absolute_expiry": "<string>",
"refresh_period": 123,
"refresh_period_type": "<string>",
"refresh_absolute_expiry": "<string>",
"last_refreshed_at": "<string>",
"next_refresh_at": "<string>",
"refresh_status": "<string>",
"refresh_error": "<string>",
"short_description": "<string>",
"description": "<string>",
"owner_profile_id": "<string>",
"meta": [
"<unknown>"
],
"is_published": true,
"is_active": true,
"is_archived": true,
"created_at": "<string>",
"updated_at": "<string>",
"current_member_count": 123,
"rules": [
{
"id": 123,
"group_definition_id": 123,
"group_rule_definition_id": 123,
"type": "<string>",
"name": "<string>",
"arguments": [
"<unknown>"
],
"sort_order": 123,
"is_active": true,
"meta": [
"<unknown>"
],
"effective": {
"handle": "<string>",
"evaluator": "<string>",
"rule": {},
"name": "<string>",
"arguments": [
"<unknown>"
]
},
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Group Definition
Edit Group Definition
A PUT to the /groups/definitions/{group} endpoint updates a group definition.
PUT
/
v3
/
groups
/
definitions
/
{group}
Edit Group Definition
Path Parameters
The group ID
Body
application/json
Maximum string length:
255Maximum string length:
255Type cannot change on an existing definition — flipping a static group to dynamic (or vice versa) would invalidate every existing group_profile / snapshot row.
Maximum string length:
255Maximum string length:
255Maximum string length:
255Required range:
x >= 0Available options:
days, weeks, months, years, absolute_date, absolute_week, absolute_month Required range:
x >= 0Available options:
days, weeks, months, years, absolute_date, absolute_week, absolute_month Show child attributes
Show child attributes
Response
GroupDefinition
Show child attributes
Show child attributes
⌘I